Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1340655

Summary: sscg 1.x: Don't bundle github.com/spacemonkeygo/spacelog (FTBFS on aarch64)
Product: [Fedora] Fedora Reporter: Peter Robinson <pbrobinson>
Component: sscgAssignee: Stephen Gallagher <sgallagh>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: sgallagh
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: sscg-1.1.0-2.fc25 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-05-31 14:11:41 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 922257    

Description Peter Robinson 2016-05-29 18:10:38 UTC
Fedora ships a perfectly usable spacemonkeygo/spacelog so don't bundle it unnecessarily as the bundled version is FTBFS on aarch64 (and possibly other non x86 arches)

http://arm.koji.fedoraproject.org/koji/packageinfo?packageID=19863

Comment 1 Stephen Gallagher 2016-05-30 02:05:08 UTC
Can you point me at the spacemonkeygo package in Fedora? The only one I'm aware of is the 10gen fork which is forked from a very old version that is lacking all of the functionality used by sscg.

Comment 2 Peter Robinson 2016-05-30 10:19:06 UTC
(In reply to Stephen Gallagher from comment #1)
> Can you point me at the spacemonkeygo package in Fedora? The only one I'm
> aware of is the 10gen fork which is forked from a very old version that is
> lacking all of the functionality used by sscg.

$ dnf repoquery --whatprovides 'golang(github.com/spacemonkeygo/spacelog)'
Last metadata expiration check: 0:12:56 ago on Mon May 30 11:04:19 2016.
golang-github-spacemonkeygo-spacelog-devel-0:0-0.4.gitae95ccc.fc24.noarch

It that not the upstream one? It doesn't have 10gen in the URL for sources AFAICT.

Comment 3 Stephen Gallagher 2016-05-30 14:23:11 UTC
Oops, I misread the bug report. I thought this was for the spacemonkeygo OpenSSL package. I'll debundle this when I'm back in the office tomorrow. Thanks for letting me know about this.